RegexTermEnum (Lucene 3.6.2 API)
Keywords: org.apache.lucene.search.regex.RegexTermEnum class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.regex
Class RegexTermEnum

    java.lang.Object
      org.apache.lucene.index.TermEnum
          org.apache.lucene.search.FilteredTermEnum
              org.apache.lucene.search.regex.RegexTermEnum

All Implemented Interfaces:
  Closeable

    public class RegexTermEnum

extends org.apache.lucene.search.FilteredTermEnum

Subclass of FilteredTermEnum for enumerating all terms that match the specified regular expression term using the specified regular expression implementation.

Term enumerations are always ordered by Term.compareTo(). Each term in the enumeration is greater than all that precede it.

Field Summary

Fields inherited from class org.apache.lucene.search.FilteredTermEnum
`actualEnum, currentTerm`

Constructor Summary
`RegexTermEnum(org.apache.lucene.index.IndexReader reader, org.apache.lucene.index.Term term, RegexCapabilities regexImpl)`

Method Summary
`void` | `close()`
`float` | `difference()`
`boolean` | `endEnum()`
`protected boolean` | `termCompare(org.apache.lucene.index.Term term)`

Methods inherited from class org.apache.lucene.search.FilteredTermEnum
`docFreq, next, setEnum, term`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTermEnum

    public RegexTermEnum(org.apache.lucene.index.IndexReader reader,
                         org.apache.lucene.index.Term term,
                         RegexCapabilities regexImpl)
                  throws IOException

Throws:
  `IOException`

Method Detail

### termCompare

    protected final boolean termCompare(org.apache.lucene.index.Term term)

  Specified by:
    `termCompare` in class `org.apache.lucene.search.FilteredTermEnum`

### difference

    public final float difference()

  Specified by:
    `difference` in class `org.apache.lucene.search.FilteredTermEnum`

### endEnum

    public final boolean endEnum()

  Specified by:
    `endEnum` in class `org.apache.lucene.search.FilteredTermEnum`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `org.apache.lucene.search.FilteredTermEnum`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD